diff --git a/share/misc/pci_vendors b/share/misc/pci_vendors
index 57ac16b..baf4546 100644
--- a/share/misc/pci_vendors
+++ b/share/misc/pci_vendors
@@ -1,8 +1,8 @@
 #
 #	List of PCI ID's
 #
-#	Version: 2012.12.13
-#	Date:    2012-12-13 03:15:01
+#	Version: 2013.02.12
+#	Date:    2013-02-12 03:15:01
 #
 #	Maintained by Martin Mares <mj@ucw.cz> and other volunteers from the
 #	PCI ID Project at http://pci-ids.ucw.cz/.
@@ -21,43 +21,23 @@
 #	device  device_name				<-- single tab
 #		subvendor subdevice  subsystem_name	<-- two tabs
 
-0010  Allied Telesis, Inc
+0010  Allied Telesis, Inc (Wrong ID)
 # This is a relabelled RTL-8139
 	8139  AT-2500TX V3 Ethernet
-001a  Ascend Communications, Inc.
 001c  PEAK-System Technik GmbH
 	0001  PCAN-PCI CAN-Bus controller
 		001c 0004  2 Channel CAN Bus SJC1000
 		001c 0005  2 Channel CAN Bus SJC1000 (Optically Isolated)
-0033  Paradyne corp.
 003d  Lockheed Martin-Marietta Corp
 # Real TJN ID is e159, but they got it wrong several times --mj
 0059  Tiger Jet Network Inc. (Wrong ID)
 0070  Hauppauge computer works Inc.
-	0003  WinTV PVR-250
-	0009  WinTV PVR-150
-	0801  WinTV PVR-150
-	0807  WinTV PVR-150
-	4000  WinTV PVR-350
-	4001  WinTV PVR-250 (v1)
-	4009  WinTV PVR-250
-	4800  WinTV PVR-350
-	4801  WinTV PVR-250 MCE
-	4803  WinTV PVR-250
-	7444  WinTV HVR-1600
 	7801  WinTV HVR-1800 MCE
-	8003  WinTV PVR-150
-	8801  WinTV PVR-150
-	c108  WinTV-HVR-4400-HD model 1278
-	c801  WinTV PVR-150
-	e807  WinTV PVR-500 MCE (1st tuner)
-	e817  WinTV PVR-500 MCE (2nd tuner)
 0071  Nebula Electronics Ltd.
 0095  Silicon Image, Inc. (Wrong ID)
 	0680  Ultra ATA/133 IDE RAID CONTROLLER CARD
 # Wrong ID used in subsystem ID of the TELES.S0/PCI 2.x ISDN adapter
 00a7  Teles AG (Wrong ID)
-00f5  BFG Technologies, Inc.
 0100  Ncipher Corp Ltd
 0123  General Dynamics
 # 018a is not LevelOne but there is a board misprogrammed
@@ -67,51 +47,26 @@
 021b  Compaq Computer Corporation
 	8139  HNE-300 (RealTek RTL8139c) [iPaq Networking]
 0270  Hauppauge computer works Inc. (Wrong ID)
-0291  Davicom Semiconductor, Inc.
-	8212  DM9102A(DM9102AE, SM9102AF) Ethernet 100/10 MBit(Rev 40)
 # SpeedStream is Efficient Networks, Inc, a Siemens Company
 02ac  SpeedStream
 	1012  1012 PCMCIA 10/100 Ethernet Card [RTL81xx]
-02e0  XFX Pine Group Inc
 0303  Hewlett-Packard Company (Wrong ID)
-0308  ZyXEL Communications Corporation
+0308  ZyXEL Communications Corporation (Wrong ID)
 0315  SK-Electronics Co., Ltd.
-0357  TTTech AG
+0357  TTTech Computertechnik AG (Wrong ID)
 	000a  TTP-Monitoring Card V2.0
-036f  Trigem Computer Inc.
-0403  Future Technology Devices International Ltd
 0432  SCM Microsystems, Inc.
 	0001  Pluto2 DVB-T Receiver for PCMCIA [EasyWatch MobilSet]
-0482  Kyocera
-# vendor code used for (at a minimum) RSA cards
-04b3  IBM Corp.
-	4001  Remote System Administration device [RSA2]
-050d  Belkin
-05a9  OmniVision
-	8519  OV519 series
-05e3  CyberDoor
-	0701  CBD516
-066f  SigmaTel
-	3410  SMTP3410
-	3500  SMTP3500
 0675  Dynalink
 	1700  IS64PH ISDN Adapter
 	1702  IS64PH ISDN Adapter
 	1703  ISDN Adapter (PCI Bus, DV, W)
 	1704  ISDN Adapter (PCI Bus, D, C)
-069d  Hughes Network Systems (HNS)
 0721  Sapphire, Inc.
 0777  Ubiquiti Networks, Inc.
-# Atheros, 6th Generation, AR5414, 802.11a, 5GHz
-	3005  XtremeRange5
 0795  Wired Inc.
 	6663  Butane II (MPEG2 encoder board)
 	6666  MediaPress (MPEG2 encoder board)
-07ca  AVerMedia Technologies Inc.
-# Expresscard DVB-T tuner sold by Fujitsu for notebooks
-	534a  Slim mobile Express DVB-T (Fujitsu)
-	a301  AVerTV 301
-	b808  AVerTV DVB-T Volar (USB 2.0)
 07d0  ITT Geospatial Systems
 07d1  D-Link System Inc
 07e2  ELMEG Communication Systems GmbH
@@ -387,6 +342,7 @@
 		1000 9273  MegaRAID SAS 9270CV-8i
 		1000 9274  MegaRAID SAS 9270-4i
 		1000 9275  MegaRAID SAS 9271-8iCC
+		1000 9276  MegaRAID SAS 9271-4i
 		1000 9285  MegaRAID SAS 9285-8e
 		1000 9288  MegaRAID SAS 9285CV-8e
 		1000 9290  MegaRAID SAS 9286-8e
@@ -637,6 +593,7 @@
 	3151  M24 [FireMV 2400]
 	3152  RV370 [Mobility Radeon X300]
 	3154  M24GL [Mobility FireGL V3200]
+	3155  RV380 [FireMV 2400]
 	3171  M24 [FireMV 2400] (Secondary)
 	3e50  RV380 0x3e50 [Radeon X600]
 	3e54  RV380 0x3e54 [FireGL V3200]
@@ -669,6 +626,7 @@
 		1002 4772  All-in-Wonder 9600 XT
 		1043 c002  Radeon 9600 XT TVD
 		1043 c01a  A9600XT/TD
+		1462 9510  RX9600XT (MS-8951)
 		174b 7c29  Sapphire Radeon 9600XT
 		1787 4002  Radeon 9600 XT
 	4153  RV350 AS [Radeon 9550]
@@ -793,6 +751,7 @@
 	4381  SB400 SATA Controller (RAID 5 mode)
 	4382  SB600 AC97 Audio
 	4383  SBx00 Azalia (Intel HDA)
+		1019 2120  A785GM-M
 		103c 1611  Pavilion DM1Z-3000
 		103c 280a  DC5750 Microtower
 		1043 8230  M3A78-EH Motherboard
@@ -804,6 +763,7 @@
 		17f2 5000  KI690-AM2 Motherboard
 	4384  SBx00 PCI to PCI Bridge
 	4385  SBx00 SMBus Controller
+		1019 2120  A785GM-M
 		103c 1611  Pavilion DM1Z-3000
 		103c 280a  DC5750 Microtower
 		1043 82ef  M3A78-EH Motherboard
@@ -871,27 +831,33 @@
 	4394  SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
 	4395  SB8x0/SB9x0 SATA Controller [Storage mode]
 	4396  SB7x0/SB8x0/SB9x0 USB EHCI Controller
+		1019 2120  A785GM-M
 		103c 1611  Pavilion DM1Z-3000
 		1043 82ef  M3A78-EH Motherboard
 		1043 8443  M5A88-V EVO
 		15d9 a811  H8DGU
 		174b 1001  Sapphire PURE Fusion Mini
 	4397  SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
+		1019 2120  A785GM-M
 		103c 1611  Pavilion DM1Z-3000
 		1043 82ef  M3A78-EH Motherboard
 		1043 8443  M5A88-V EVO
 		15d9 a811  H8DGU
 		174b 1001  Sapphire PURE Fusion Mini
 	4398  SB7x0 USB OHCI1 Controller
+		1019 2120  A785GM-M
 		1043 82ef  M3A78-EH Motherboard
 		15d9 a811  H8DGU
 	4399  SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
+		1019 2120  A785GM-M
 		1043 82ef  M3A78-EH Motherboard
 		1043 8443  M5A88-V EVO
 		174b 1001  Sapphire PURE Fusion Mini
 	439c  SB7x0/SB8x0/SB9x0 IDE Controller
+		1019 2120  A785GM-M
 		1043 82ef  M3A78-EH Motherboard
 	439d  SB7x0/SB8x0/SB9x0 LPC host controller
+		1019 2120  A785GM-M
 		103c 1611  Pavilion DM1Z-3000
 		1043 82ef  M3A78-EH Motherboard
 		1043 8443  M5A88-V EVO
@@ -1253,6 +1219,7 @@
 		1028 023c  PowerEdge R200 Embedded ATI ES1000
 		103c 1304  Integrity iLO2 Advanced KVM VGA [AD307A]
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  S5000PSLSATA Server Board
 	515f  ES1000
 	5168  Radeon R200 Qh
@@ -1522,31 +1489,65 @@
 	5e4d  RV410 [Radeon X700 (PCIE)]
 		148c 2116  PowerColor Bravo X700
 	5e4f  RV410 [Radeon X700]
+		1569 1e4f  Radeon X550 XT
 	5e6b  RV410 [Radeon X700 Pro (PCIE)] (Secondary)
 	5e6d  RV410 [Radeon X700 (PCIE)] (Secondary)
 		148c 2117  PowerColor Bravo X700
 	5f57  R423 [Radeon X800XT (PCIE)]
 	6600  Mars [Radeon HD 8600/8700M Series]
 	6601  Mars [Radeon HD 8500/8700M Series]
+	6602  Mars
+	6603  Mars
 	6606  Mars [Radeon HD 8790M]
+	6607  Mars
 	6610  Oland [Radeon HD 8600 Series]
 	6611  Oland [Radeon HD 8500 Series]
+	6613  Oland [Radeon HD 8500 Series]
+	6620  Mars
+	6621  Mars
+	6623  Mars
+	6631  Oland
+	6660  Sun [Radeon HD 8600M Series]
+	6700  Cayman GL XT [ATI FirePro V (FireGL V) Graphics Adapter]
+	6701  Cayman GL XT [ATI FirePro V (FireGL V) Graphics Adapter]
+	6702  Cayman GL XT [ATI FirePro V (FireGL V) Graphics Adapter]
+	6703  Cayman GL XT [ATI FirePro V (FireGL V) Graphics Adapter]
 	6704  Cayman PRO GL [FirePro V7900]
+	6705  Cayman GL PRO [ATI FirePro V (FireGL V) Graphics Adapter]
+	6706  Cayman GL [ATI FirePro V (FireGL V) Graphics Adapter]
 	6707  Cayman LE GL [FirePro V5900]
+	6708  Cayman GL [ATI FirePro V (FireGL V) Graphics Adapter]
+	6709  Cayman GL [ATI FirePro V (FireGL V) Graphics Adapter]
 	6718  Cayman XT [Radeon HD 6970]
 	6719  Cayman PRO [Radeon HD 6950]
+	671c  Antilles [Radeon HD 6990]
 	671d  Antilles [AMD Radeon HD 6990]
 	671f  Cayman [Radeon HD 6900 Series]
 	6720  Blackcomb [Radeon HD 6900M series]
+	6721  Blackcomb [Mobility Radeon HD 6000 series]
+	6722  Barts GL [ATI FirePro V (FireGL V) Graphics Adapter]
+	6723  Barts GL [ATI FirePro V (FireGL V) Graphics Adapter]
+	6724  Blackcomb [Mobility Radeon HD 6000 series]
+	6725  Blackcomb [Mobility Radeon HD 6000 series]
+	6726  Barts GL [ATI FirePro V (FireGL V) Graphics Adapter]
+	6727  Barts GL [ATI FirePro V (FireGL V) Graphics Adapter]
+	6728  Barts GL [ATI FirePro V (FireGL V) Graphics Adapter]
+	6729  Barts GL [ATI FirePro V (FireGL V) Graphics Adapter]
 	6738  Barts XT [Radeon HD 6800 Series]
 	6739  Barts PRO [Radeon HD 6800 Series]
 		1043 03b4  EAH6850 [Radeon HD 6850]
 	673e  Barts LE [AMD Radeon HD 6700 Series]
 	6740  Whistler XT [AMD Radeon HD 6700M Series]
+		1028 04a3  Precision M4600
 	6741  Whistler [AMD Radeon HD 6600M Series]
 		106b 00e2  MacBookPro8,2 [Core i7, 15", Late 2011]
 	6742  Whistler LE [AMD Radeon HD 6625M Graphics]
 	6743  Whistler [Radeon E6760]
+	6744  Whistler [ATI Mobility Radeon HD 6000 series]
+	6745  Whistler
+	6746  Turks GL [ATI FirePro V (FireGL V) Graphics Adapter]
+	6747  Turks GL [ATI FirePro V (FireGL V) Graphics Adapter]
+	6748  Turks GL [ATI FirePro V (FireGL V) Graphics Adapter]
 	6749  Turks [FirePro V4900]
 	674a  Turks [AMD FirePro V3900]
 	6750  Turks [AMD Radeon HD 6570]
@@ -1554,29 +1555,66 @@
 	6758  Turks [Radeon HD 6670]
 	6759  Turks [Radeon HD 6570]
 	675d  Turks [Radeon HD 7500 Series]
+	675f  Turks LE [Radeon HD 5500/7510 Series]
 	6760  Caicos [Radeon HD 6400M/7400M Series]
 		1028 04cc  Vostro 3350
 	6761  Seymour LP [Radeon HD 6430M]
+	6762  Caicos GL [ATI FirePro V (FireGL V) Graphics Adapter]
 	6763  Seymour [Radeon E6460]
+	6764  Seymour [Mobility Radeon HD 6000 series]
+	6765  Seymour [Mobility Radeon HD 6000 series]
+	6766  Caicos
+	6767  Caicos
+	6768  Caicos
 	6770  Caicos [Radeon HD 6400 Series]
+	6771  Caicos
 	6772  Caicos [Radeon HD 7400A Series]
 	6778  Caicos [Radeon HD 7000 Series]
 	6779  Caicos [Radeon HD 6450]
 		174b e164  Sapphire HD 6450 1GB DDR3
 	677b  Caicos [Radeon HD 7400 Series]
+	6780  Tahiti [ATI FirePro V (FireGL V) Graphics Adapter]
+	6784  Tahiti [ATI FirePro V (FireGL V) Graphics Adapter]
+	6788  Tahiti [ATI FirePro V (FireGL V) Graphics Adapter]
+	678a  Tahiti [ATI FirePro V (FireGL V) Graphics Adapter]
+	6790  Tahiti
+	6791  Tahiti
+	6792  Tahiti
 	6798  Tahiti XT [Radeon HD 7970]
 	6799  New Zealand [Radeon HD 7990]
 	679a  Tahiti PRO [Radeon HD 7950]
+	679b  Tahiti [Radeon HD 7900 Series]
 	679e  Tahiti LE [Radeon HD 7800 Series]
+	679f  Tahiti
 	6800  Wimbledon XT [Radeon HD 7970M]
+	6801  Wimbledon
+	6802  Wimbledon
+	6806  Pitcairn
+	6808  Pitcairn [ATI FirePro V(FireGL V) Graphics Adapter]
+	6809  Pitcairn [ATI FirePro V(FireGL V) Graphics Adapter]
+	6810  Pitcairn
+	6811  Pitcairn
+	6816  Pitcairn
+	6817  Pitcairn
 	6818  Pitcairn [Radeon HD 7800]
 	6819  Pitcairn PRO [Radeon HD 7800]
+		174b e221  Sapphire HD 7850 2G GDDR5 PCI-E DVI-I/DVI-D/HDMI/DP
 	6820  Radeon HD 8800M Series
 	6821  Radeon HD 8800M Series
 	6823  Radeon HD 8800M Series
+	6824  Chelsea [Radeon HD 7700M Series]
 	6825  Cape Verde [Radeon HD 7800M Series]
+	6826  Chelsea [Radeon HD 7700M Series]
+	6827  Cape Verde [Radeon HD 7800M Series]
+	6828  Cape Verde
+	6829  Cape Verde
 	682b  Radeon HD 8800M Series
 	682f  Cape Verde [Radeon HD 7700M Series]
+	6830  Cape Verde [Radeon HD 7800M Series]
+	6831  Cape Verde [AMD Radeon HD 7700M Series]
+	6837  Cape Verde LE [Radeon HD 7700 Series]
+	6838  Cape Verde
+	6839  Cape Verde
 	683b  Cape Verde [Radeon HD 7700 Series]
 	683d  Cape Verde [Radeon HD 7700 Series]
 	683f  Cape Verde PRO [Radeon HD 7700 Series]
@@ -1584,8 +1622,11 @@
 	6841  Thames [Radeon 7500M/7600M Series]
 	6842  Thames LE [Radeon HD 7000M Series]
 	6843  Thames [Radeon HD 7670M]
+	6849  Lombok [AMD Radeon HD 7400 Series]
+	684c  Pitcairn [ATI FirePro V(FireGL V) Graphics Adapter]
 	6850  Lombok GL AIO [Radeon HD 7570]
 	6858  Lombok [Radeon HD 7400 series]
+	6880  Cypress
 	6888  Cypress [FirePro 3D V8800]
 	6889  Cypress [FirePro V7800]
 	688a  Cypress XT [FirePro 3D V9800]
@@ -1597,6 +1638,7 @@
 		1043 0330  EAH5850 [Radeon HD5850]
 	689b  Cypress [Radeon HD 6800 Series]
 	689c  Hemlock [Radeon HD 5900 Series]
+	689d  Hemlock [ATI Radeon HD 5900 Series]
 	689e  Cypress LE [Radeon HD 5800 Series]
 	68a0  Broadway XT [Mobility Radeon HD 5800 Series]
 		103c 1520  Broadway XT [FirePro M7820]
@@ -1617,19 +1659,26 @@
 		103c 1521  Madison Pro [FirePro M5800]
 	68c7  Pinewood [Radeon HD 5570]
 	68c8  FirePro V4800
+	68c9  Redwood [FirePro 3800 (FireGL)]
 	68d8  Redwood [Radeon HD 5670]
 	68d9  Redwood PRO [Radeon HD 5500 Series]
 	68da  Redwood PRO [Radeon HD 5500 Series]
+	68de  Redwood
 	68e0  Manhattan [Mobility Radeon HD 5400 Series]
 		103c 1486  TouchSmart tm2-2050er discrete GPU (Mobility Radeon HD 5450)
 	68e1  Manhattan [Mobility Radeon HD 5430 Series]
 	68e4  Robson CE [AMD Radeon HD 6300 Series]
 	68e5  Robson LE [AMD Radeon HD 6300M Series]
+	68e8  Cedar
+	68e9  Cedar [ATI FirePro (FireGL) Graphics Adapter]
 	68f1  Cedar [FirePro 2460]
 	68f2  Cedar [FirePro 2270]
+	68f8  Cedar [Radeon HD 7300 Series]
 	68f9  Cedar PRO [Radeon HD 5450/6350]
 		1028 010e  XPS 8300
+		1043 03c2  EAH5450 SILENT/DI/512MD2 (LP)
 	68fa  EG Cedar [Radeon HD 7300 Series]
+	68fe  Cedar LE
 	700f  PCI Bridge [IGP 320M]
 	7010  PCI Bridge [IGP 340M]
 	7100  R520 [Radeon X1800]
@@ -1712,6 +1761,7 @@
 		106b 0080  MacBook Pro
 	71c6  RV530LE [Radeon X1600/X1650 PRO]
 	71c7  RV535 [Radeon X1650 Series]
+		1787 3000  PowerColor X1650 PRO AGP
 	71ce  RV530LE [Radeon X1600]
 	71d2  RV530GL [FireGL V3400]
 	71d4  M66GL [ATI Mobility FireGL V5250]
@@ -1723,6 +1773,7 @@
 	71e2  RV530 [Radeon X1600] (Secondary)
 	71e6  RV530LE [Radeon X1650 PRO] (Secondary)
 	71e7  RV535 [Radeon X1650 Series]
+		1787 3001  PowerColor X1650 PRO AGP
 	71f2  RV530GL [FireGL V3400 (Secondary)]
 	7210  M71 [Mobility Radeon X2100]
 	7211  M71 [Mobility Radeon X2100] (Secondary)
@@ -1786,12 +1837,18 @@
 	793f  RS600 [Radeon Xpress 1250]
 	7941  RS600 [Radeon Xpress 1250]
 	7942  RS600 [Radeon Xpress 1250]
-	796e  Radeon 2100
+	796c  RS740
+	796d  RS740
+	796e  RS740 [Radeon 2100]
+	796f  RS740
 	7c37  RV350 AQ [Radeon 9600 SE]
 	9400  R600 [Radeon HD 2900 Series]
 		1002 3000  Sapphire Radeon HD 2900 XT
 		1002 3142  HIS Radeon HD 2900XT 512MB GDDR3 VIVO PCIe
+	9401  R600 [Radeon HD 2900 XT]
+	9402  R600 [Radeon HD 2900 XT]
 	9403  R600 [Radeon HD 2900 PRO]
+	9405  R600 [Radeon HD 2900 GT]
 	940a  R600GL [Fire GL V8650]
 	940b  R600GL [Fire GL V8600]
 	940f  R600 [FireGL V7600]
@@ -1801,33 +1858,52 @@
 		1002 0502  MSI R4850-T2D512
 		174b e810  Sapphire HD 4850 512MB GDDR3 PCI-E Dual Slot Fansink
 	9443  R700 [Radeon HD 4850]
+	9444  RV770 [FirePro V8750 (FireGL)]
+	9446  RV770 [FirePro V7760 (FireGL)]
 	944a  M98L [Mobility Radeon HD 4850]
+	944b  RV770 [Mobility Radeon HD 4850 X2]
 	944c  RV770 LE [Radeon HD 4800 Series]
 	944e  RV770 CE [Radeon HD 4710]
 	9450  RV770 [FireStream 9270]
 	9452  RV770 [FireStream 9250]
+	9456  RV770 [FirePro 3D V8700]
 	945a  M98 XT [Mobility Radeon HD 4870]
+	945b  RV770
+	945e  RV770
 	9460  RV790 [Radeon HD 4890]
 	9462  RV790LE [Radeon HD 4800 Series]
+	946a  RV770 [FirePro M7750]
+	946b  RV770
+	947a  RV770
+	947b  RV770
 	9480  M96 [Mobility Radeon HD 4650]
 		103c 3628  ATI Mobility Radeon HD 4650 [dv6-1190en]
 	9485  RV740 Pro [Radeon HD 4770]
+	9487  RV730
 	9488  RV730 XT [Mobility Radeon HD 4670]
 	9489  M96 XT [Mobility FireGL V5725]
+	948a  RV730
+	948f  RV730
 	9490  RV730XT [Radeon HD 4670]
 		174b e880  Radeon HD 4670 512MB DDR3
 	9491  M96 CSP [ATI RADEON E4690]
 	9495  RV730 Pro AGP [Radeon HD 4600 Series]
 		1002 9495  RV730 XT [PowerColor Radeon HD4670 AGP 1GB DDR]
 		1458 0028  HD4650
+		1682 0028  HD465X
 	9498  RV730 PRO [Radeon HD 4650]
+	949c  RV730
 	949e  RV370 [FirePro V5700]
 	949f  RV730 [FirePro V5700]
 	94a0  Mobility Radeon HD 4830 [M97]
 	94a1  [M97 XT] Mobility Radeon HD 4860
 	94a3  M97 GL [ATI FirePro M7740]
+	94b1  RV740
 	94b3  Radeon HD 4770 [RV740]
 	94b4  RV740 LE [ATI Radeon HD 4700 Series]
+	94b5  RV740 [Radeon HD 4770]
+	94b9  RV740
+	94c0  RV610
 	94c1  RV610 [Radeon HD 2400 XT]
 		1028 0211  Optiplex 755
 		1028 0d02  Optiplex 755
@@ -1837,22 +1913,33 @@
 		174b e400  Sapphire HD 2400 PRO video device
 		18bc 3550  GeCube Radeon HD2400 PRO
 	94c4  RV610 LE AGP [Radeon HD 2400 PRO AGP]
+	94c5  RV610 [Radeon HD 2400 LE]
+	94c6  RV610
+	94c7  RV610 [Radeon HD 2350]
 	94c8  Radeon HD 2400 XT
 	94c9  Mobility Radeon HD 2400
 		1002 94c9  Radeon HD2400
 	94cb  Radeon E2400
 	94cc  RV610 LE [Radeon HD 2400 Pro PCI]
+	94cd  RV610
+	9500  RV670
 	9501  RV670 [Radeon HD 3870]
 		174b e620  Sapphire Radeon HD 3870 PCIe 2.0
 	9504  RV670 [Mobility Radeon HD 3850]
 	9505  RV670PRO [Radeon HD 3850]
+	9506  RV670 [Mobility Radeon HD 3850 X2]
 	9507  RV670 [Radeon HD 3850]
 	9508  M88 XT Mobility Radeon HD 3870]
+	9509  RV670 [Mobility Radeon HD 3870]
 	950f  R680 [Radeon HD 3870 x2]
 	9511  RV670 [FireGL 7700]
 	9515  RV670 AGP [Radeon HD 3850]
+	9517  RV670
 	9519  RV670 [FireStream 9170]
 	9540  RV710 [Radeon HD 4550]
+	9541  RV710
+	9542  RV710
+	954e  RV710
 	954f  RV710 [Radeon HD 4350]
 		1462 1618  R4350 MD512H (MS-V161)
 	9552  RV710 [Mobility Radeon HD 4300 Series]
@@ -1860,8 +1947,10 @@
 		1179 ff82  Satellite L505-13T GPU (Mobility Radeon HD 5145)
 	9555  RV710 [Mobility Radeon HD 4300/4500 Series]
 		103c 1411  ProBook 4720s GPU (Mobility Radeon HD 4350)
+	9557  RV710
 	9559  RV635 [Mobility Radeon HD 3600 Series]
 	955f  RV710 [Mobility Radeon HD 4330]
+	9580  RV630
 	9581  RV630 [Mobility Radeon HD 2600]
 	9583  RV630 [Mobility Radeon HD 2600 XT]
 	9586  RV 630 XT AGP [Radeon HD 2600 XT AGP]
@@ -1869,19 +1958,28 @@
 	9588  RV630 [Radeon HD 2600XT]
 		1458 216c  Radeon HD 2600 XT, 256MB GDDR3, 2x DVI, TV-out, PCIe (GV-RX26T256H)
 	9589  RV630 [Radeon HD 2600 Series]
+	958a  RV630
+	958b  RV630 [Mobility Radeon HD 2600 XT]
 	958c  RV630GL [FireGL v5600]
 	958d  RV630 [FireGL V3600]
+	958e  RV630
+	958f  RV630
+	9590  RV635
 	9591  RV635 [Mobility Radeon HD 3650]
 		1002 9591  Mobility Radeon HD 3650
 	9593  RV635 [Mobility Radeon HD 3670]
 	9595  M86GL [Mobility FireGL V5700]
 	9596  RV635 PRO AGP [Radeon HD 3650]
 		1043 0028  EAH3650 SILENT/HTDI/512M/A
+	9597  RV635 [Radeon HD 2600 Series]
 	9598  RV630 [Radeon HD 3600 Series]
 		1002 9598  Mobility Radeon HD 3600
 		1043 01d6  EAH3650 Silent
+	9599  RV635
+	959b  RV635
 	95c0  RV620 PRO [Radeon HD 3470]
 		1002 95c0  Mobility Radeon HD 3470
+	95c2  RV620
 	95c4  RV620 [Mobility Radeon HD 3400 Series]
 		1002 95c4  Mobility Radeon HD 3400
 	95c5  RV620 LE [Radeon HD 3450]
@@ -1904,13 +2002,26 @@
 	9616  RS780L [Radeon HD 3000]
 	9640  BeaverCreek [Radeon HD 6550D]
 	9641  BeaverCreek [Mobility Radeon HD 6620G]
+	9642  Sumo [Radeon HD 6370D]
+	9643  Sumo [Radeon HD 6380G]
+	9644  Sumo [Radeon HD 6410D]
+	9645  Sumo [Radeon HD 6410D]
 	9647  BeaverCreek [Radeon HD 6520G]
+	9648  Sumo [Radeon HD 6480G]
+	9649  Sumo [Radeon HD 6480G]
 	964a  BeaverCreek [Radeon HD 6530D]
+	964b  Sumo
+	964c  Sumo
+	964e  Sumo
+	964f  Sumo
 	970f  RS880 HDMI Audio [Radeon HD 4200 Series]
+		1019 2120  A785GM-M
 		1043 83a2  M4A785TD Motherboard
 		1043 843e  M5A88-V EVO
 	9710  RS880 [Radeon HD 4200]
+		1019 2120  A785GM-M
 		1043 83a2  M4A785TD Motherboard
+	9711  RS880 [Radeon 4100]
 	9712  RS880M [Mobility Radeon HD 4200 Series]
 	9713  RS880M [Mobility Radeon HD 4100]
 	9714  RS880 [Radeon HD 4290]
@@ -1919,14 +2030,38 @@
 # Radeon HD 6250 too?
 	9802  Wrestler [Radeon HD 6310]
 		174b 1001  Sapphire PURE Fusion Mini
+	9803  Wrestler [Radeon HD 6310]
 	9804  Wrestler [Radeon HD 6250]
+	9805  Wrestler [Radeon HD 6250]
 	9806  Wrestler [Radeon HD 6320]
 	9807  Wrestler [Radeon HD 6290]
+	9808  Wrestler [Radeon HD 7340]
+	9809  Wrestler [Radeon HD 7310]
+	980a  Wrestler [Radeon HD 7290]
 # AMD A10-5800K CPU
 	9901  Trinity [Radeon HD 7660D]
 	9902  Trinity HDMI Audio Controller
+	9903  Trinity [Radeon HD 7640G]
 	9904  Trinity [Radeon HD 7560D]
+	9905  Trinity [FirePro A300 Series Graphics]
+	9906  Trinity [FirePro A300 Series Graphics]
+	9907  Trinity [Radeon HD 7620G]
+	9908  Trinity [Radeon HD 7600G]
+	9909  Trinity [Radeon HD 7500G]
+	990a  Trinity [Radeon HD 7500G]
+	9910  Trinity [Radeon HD 7660G]
+	9913  Trinity [Radeon HD 7640G]
+	9917  Trinity [Radeon HD 7620G]
+	9918  Trinity [Radeon HD 7600G]
+	9919  Trinity [Radeon HD 7500G]
 	9990  Trinity [Radeon HD 7520G]
+	9991  Trinity [Radeon HD 7540D]
+	9992  Trinity [Radeon HD 7420G]
+	9993  Trinity [Radeon HD 7480D]
+	9994  Trinity [Radeon HD 7400G]
+	99a0  Trinity [Radeon HD 7520G]
+	99a2  Trinity [Radeon HD 7420G]
+	99a4  Trinity [Radeon HD 7400G]
 	aa00  R600 Audio Device [Radeon HD 2900 Series]
 	aa08  RV630 audio device [Radeon HD 2600 Series]
 	aa10  RV610 HDMI Audio [Radeon HD 2350/2400 Series]
@@ -1951,9 +2086,11 @@
 	aa80  Cayman/Antilles HDMI Audio [Radeon HD 6900 Series]
 	aa88  Barts HDMI Audio [Radeon HD 6800 Series]
 	aa90  Turks/Whistler HDMI Audio [Radeon HD 6000 Series]
+		1028 04a3  Precision M4600
 	aa98  Caicos HDMI Audio [Radeon HD 6400 Series]
 		174b aa98  Sapphire HD 6450 1GB DDR3
 	aaa0  Tahiti XT HDMI Audio [Radeon HD 7970 Series]
+	aab0  Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series]
 	ac00  Theater 600 Pro
 	ac02  TV Wonder HD 600 PCIe
 	ac12  Theater HD T507 (DVB-T) TV tuner/capture device
@@ -2602,6 +2739,7 @@
 	756b  AMD-8111 ACPI
 	7800  FCH SATA Controller [IDE mode]
 	7801  FCH SATA Controller [AHCI mode]
+		103c 168b  ProBook 4535s Notebook
 	7802  FCH SATA Controller [RAID mode]
 	7803  FCH SATA Controller [RAID mode]
 	7804  FCH SATA Controller [AHCI mode]
@@ -2621,6 +2759,7 @@
 	9600  RS780 Host Bridge
 		1043 82f1  M3A78-EH Motherboard
 	9601  RS880 Host Bridge
+		1019 2120  A785GM-M
 		1043 843e  M5A88-V EVO
 	9602  RS780/RS880 PCI to PCI bridge (int gfx)
 	9603  RS780 PCI to PCI bridge (ext gfx port 0)
@@ -3158,8 +3297,8 @@
 	002a  PowerVR 3D
 	002c  Star Alpha 2
 	002d  PCI to C-bus Bridge
-	0035  USB
-		1033 0035  Hama USB 2.0 CardBus
+	0035  OHCI USB Controller
+		1033 0035  USB Controller
 		103c 1293  USB add-in card
 		103c 1294  USB 2.0 add-in card
 		1179 0001  USB
@@ -3193,7 +3332,7 @@
 		12ee 8011  Root hub
 	00ce  uPD72871 [Firewarden] IEEE1394a OHCI 1.0 Link/1-port PHY Controller
 	00df  Vr4131
-	00e0  USB 2.0
+	00e0  uPD72010x USB 2.0 Controller
 		12ee 7001  Root hub
 		14c2 0205  PTI-205N USB 2.0 Host Controller
 		1799 0002  Root Hub
@@ -3205,6 +3344,7 @@
 	0125  uPD720400 PCI Express - PCI/PCI-X Bridge
 	013a  Dual Tuner/MPEG Encoder
 	0194  uPD720200 USB 3.0 Host Controller
+		1028 04a3  Precision M4600
 		1028 04b2  Vostro 3350
 		1028 04da  Vostro 3750
 		1043 8413  P8P67 Deluxe Motherboard
@@ -3401,9 +3541,6 @@
 103a  Seiko Epson Corporation
 103b  Tatung Corp. Of America
 103c  Hewlett-Packard Company
-	0025  XE4500 Notebook
-	002a  NX9000 Notebook
-	08bc  NX5000 Notebook
 	1005  A4977A Visualize EG
 	1008  Visualize FX
 	1028  Tach TL Fibre Channel Host Adapter
@@ -3439,7 +3576,6 @@
 	10ed  TopTools Remote Control
 	10f0  rio System Bus Adapter
 	10f1  rio I/O Controller
-	1200  82557B 10/100 NIC
 	1219  NetServer PCI Hot-Plug Controller
 	121a  NetServer SMIC Controller
 	121b  NetServer Legacy COM Port Decoder
@@ -3456,22 +3592,10 @@
 	12eb  sx2000 System Bus Adapter
 	12ec  sx2000 I/O Controller
 	12ee  PCI-X 2.0 Local Bus Adapter
-	12f8  Broadcom BCM4306 802.11b/g Wireless LAN
-	12fa  BCM4306 802.11b/g Wireless LAN Controller
 	1302  RMP-3 Shared Memory Driver
 	1303  RMP-3 (Remote Management Processor)
-	1361  BCM4312 802.11a/b/g WLAN Controller
-	1371  Broadcom Corporation BCM4312 802.11a/b/g (rev 02)
-	1717  Intel 82571EB dual 1 Gb Ethernet controller
-	179b  EliteBook 8470p Notebook
-	179d  EliteBook 8470p Notebook
 	2910  E2910A PCIBus Exerciser
 	2925  E2925A 32 Bit, 33 MHzPCI Exerciser & Analyzer
-	3080  Pavilion ze2028ea
-	3085  Realtek RTL8139/8139C/8139C+
-	30a3  Compaq NW8440 Notebook
-	30b5  Compaq Presario V3000Z
-	31fb  DL365 ATI ES1000 VGA controller
 	3206  Adaptec Embedded Serial ATA HostRAID
 	3220  Smart Array P600
 		103c 3225  3 Gb/s SAS RAID
@@ -3498,6 +3622,17 @@
 		103c 3352  P421
 		103c 3354  P420i
 		103c 3355  P220i
+# New Smart Array controllers for Gen8+ servers
+	323c  Smart Array Gen8+ Controllers
+		103c 1920  Smart Array
+		103c 1921  Smart Array
+		103c 1922  Smart Array
+		103c 1923  Smart Array
+		103c 1924  Smart Array
+		103c 1925  Smart Array
+		103c 1926  Smart Array
+		103c 1927  Smart Array
+		103c 1928  Smart Array
 	3300  Integrated Lights-Out Standard Virtual USB Controller
 		103c 3304  iLO2
 		103c 3305  iLO2
@@ -3662,6 +3797,9 @@
 	0008  STG 2000X
 	0009  STG 1764X
 	0010  STG4000 [3D Prophet Kyro Series]
+		104a 4018  ST PowerVR Kyro (64MB AGP TVO)
+		1681 0028  3D Prophet 4000XT
+		1681 c010  3D Prophet 4500 TV-Out
 		1681 c069  3D Prophet 4000XT
 	0201  STPC Vega Northbridge
 	0209  STPC Consumer/Industrial North- and Southbridge
@@ -3757,7 +3895,7 @@
 	8024  TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
 		107d 6620  Winfast DV2000 FireWire Controller
 		1443 8024  FireBoard Blue
-		1458 1000  GA-EP45-DS5/GA-EG45M-DS2H Motherboard
+		1458 1000  Motherboard
 	8025  TSB82AA2 IEEE-1394b Link Layer Controller
 		1043 813c  P5P series mainboard
 		1443 8025  FireBoard800
@@ -3771,6 +3909,7 @@
 		103c 006a  NX9500
 		1043 808d  A7V333 mainboard.
 	8027  PCI4451 IEEE-1394 Controller
+		1028 00e5  Latitude C810
 		1028 00e6  PCI4451 IEEE-1394 Controller (Dell Inspiron 8100)
 	8029  PCI4510 IEEE-1394 Controller
 		1028 0163  Latitude D505
@@ -3856,6 +3995,8 @@
 		0308 3404  G-102 v1 802.11g Wireless Cardbus Adapter
 		0308 3406  G-162 v2 802.11g Wireless Cardbus Adapter
 		104c 9066  WL212 Sitecom Wireless Network PCI-Card 100M (Version 1)
+# Found in Philips ADSL ANNEX A WLAN Router SNA6500/18 sold by Belgacom
+		104c 9067  TNETW1130GVF
 		104c 9096  Trendnet TEW-412PC Wireless PCI Adapter (Version A)
 		1186 3b04  DWL-G520+ Wireless PCI Adapter
 		1186 3b05  DWL-G650+ AirPlusG+ CardBus Wireless LAN
@@ -4068,7 +4209,6 @@
 	18c0  MPC8265A/8266/8272
 	18c1  MPC8271/MPC8272
 	3052  SM56 Data Fax Modem
-	3055  SM56 Data Fax Modem
 	3410  DSP56361 Digital Signal Processor
 		ecc0 0050  Gina24 rev.0
 		ecc0 0051  Gina24 rev.1
@@ -4703,6 +4843,8 @@
 	2ca0  PCI-6034E
 	2cc0  PXI-6608
 	2db0  PCI-6608
+# Low-Cost, High-Current, 96 Ch, 5 V TTL/CMOS Digital I/O
+	7085  PCI-6509
 	70a9  PCI-6528 (Digital I/O at 60V)
 	70aa  PCI-6229
 	70ab  PCI-6259
@@ -4987,6 +5129,10 @@
 		10b4 237e  Velocity 4400
 10b5  PLX Technology, Inc.
 	0001  i960 PCI bus interface
+	0557  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  Digium Tormenta 2 T400P-SS7 or E400P-SS7 Quad T1 or E1 PCI card
+	1000  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  ATCOM AT400P Quad T1 PCI card
 	1024  Acromag, Inc. IndustryPack Carrier Card
 	1042  Brandywine / jxi2, Inc. - PMC-SyncClock32, IRIG A & B, Nasa 36
 	106a  Dual OX16C952 4 port serial adapter [Megawolf Romulus/4]
@@ -4996,9 +5142,17 @@
 	1103  VScom 200 2 port serial adaptor
 	1146  VScom 010 1 port parallel adaptor
 	1147  VScom 020 2 port parallel adaptor
+	2000  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  ATCOM AE400P Quad E1 PCI card
 	2540  IXXAT CAN-Interface PC-I 04/PCI
 	2724  Thales PCSM Security Card
 	3376  Cosateq 4 Port CAN Card
+	4000  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  Tormenta 3 Varion V400P/ATCOM TE400P Quad E1/T1/J1 PCI card
+	4001  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  ATCOM A400PE Quad E1 PCI card
+	4002  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  ATCOM A400PT Quad T1 PCI card
 	6140  PCI6140 32-bit 33MHz PCI-to-PCI Bridge
 	6150  PCI6150 32-bit 33MHz PCI-to-PCI Bridge
 	6152  PCI6152 32-bit 66MHz PCI-to-PCI Bridge
@@ -5056,6 +5210,7 @@
 	8664  PEX 8664 64-lane, 16-Port PCI Express Gen 2 (5.0 GT/s) Switch
 	8680  PEX 8680 80-lane, 20-Port PCI Express Gen 2 (5.0 GT/s) Multi-Root Switch
 	8696  PEX 8696 96-lane, 24-Port PCI Express Gen 2 (5.0 GT/s) Multi-Root Switch
+	8717  PEX 8717 16-lane, 8-Port PCI Express Gen 3 (8.0 GT/s) Switch with DMA
 	8732  PEX 8732 32-lane, 8-Port PCI Express Gen 3 (8.0 GT/s) Switch
 # This is the Non-Transparent-Bridge Virtualized Port as presented by the PLX PEX 8732 chip, the physical bridges show up at 10b5:8732
 	87b0  PEX 8732 32-lane, 8-Port PCI Express Gen 3 (8.0 GT/s) Switch
@@ -5162,6 +5317,7 @@
 		10b5 3354  Alpermann+Velte PCL PCIe LV: Timecode Reader Board
 		10b5 3355  Alpermann+Velte PCL PCIe L: Timecode Reader Board
 		10b5 3415  Alpermann+Velte PCIe TS: Time Synchronisation Board
+		10b5 3493  Alpermann+Velte PCL PCIe 3G: Timecode Reader Board
 		1369 c001  LX6464ES
 		1369 c201  LX1616ES
 		14b4 d10a  DekTec DTA-110T
@@ -5194,8 +5350,15 @@
 	a100  Blackmagic Design DeckLink
 	bb04  B&B 3PCIOSD1A Isolated PCI Serial
 	c001  CronyxOmega-PCI (8-port RS232)
+	d00d  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  Digium Tormenta 2 T400P or E400P Quad T1 or E1 PCI card
+	d33d  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
+		10b5 9030  Tormenta 3 Varion V401PT Quad T1/J1 PCI card
 	d44d  PCI9030 32-bit 33MHz PCI <-> IOBus Bridge
-		10b5 17f6  entVoice E1 Card
+		10b5 17f6  Allo CP100P/E 1-port E1/T1/J1 PCI/PCIe card
+		10b5 17f7  Allo CP400P/E 4-port E1/T1/J1 PCI/PCIe card
+		10b5 17f8  Allo CP200P/E 2-port E1/T1/J1 PCI/PCIe card
+		10b5 9030  Tormenta 3 Varion V401PE Quad E1 PCI card
 10b6  Madge Networks
 	0001  Smart 16/4 PCI Ringnode
 	0002  Smart 16/4 PCI Ringnode Mk2
@@ -5271,7 +5434,7 @@
 		10b7 656b  3CCFEM656 10/100 LAN+56K Modem CardBus
 	6564  3cXFEM656C 10/100 LAN+Winmodem CardBus [Tornado]
 	7646  3cSOHO100-TX Hurricane
-	7770  3CRWE777 PCI(PLX) Wireless Adaptor [Airconnect]
+	7770  3CRWE777 PCI Wireless Adapter [Airconnect]
 	7940  3c803 FDDILink UTP Controller
 	7980  3c804 FDDILink SAS Controller
 	7990  3c805 FDDILink DAS Controller
@@ -5670,6 +5833,7 @@
 		1092 4a00  Viper V770
 		1092 4a02  Viper V770 Ultra
 		1092 5a00  RIVA TNT2/TNT2 Pro
+		1092 5a40  Viper V770D AGP
 		1092 6a02  Viper V770 Ultra
 		1092 7a02  Viper V770 Ultra
 		10de 0005  RIVA TNT2 Pro
@@ -5689,6 +5853,7 @@
 		1102 1029  3D Blaster RIVA TNT2 Ultra
 		1102 102f  3D Blaster RIVA TNT2 Ultra
 		14af 5820  Maxi Gamer Xentor 32
+		4843 4f34  Dynamite
 	002a  NV5 [Riva TNT2]
 	002b  NV5 [Riva TNT2]
 	002c  NV6 [Vanta/Vanta LT]
@@ -5705,12 +5870,14 @@
 		1043 0201  AGP-V3800M
 		1048 0c3a  Erazor III LT
 		1048 0c3b  Erazor III LT
+		107d 2137  WinFast 3D S325
 		10de 0006  RIVA TNT2 Model 64/Model 64 Pro
 		10de 001e  M64 AGP4x
 		1102 1023  CT6892 RIVA TNT2 Value
 		1102 1024  CT6932 RIVA TNT2 Value 32Mb
 		1102 102c  CT6931 RIVA TNT2 Value [Jumper]
 		1462 8808  MSI-8808
+		14af 5620  Gamer Cougar Video Edition
 		1554 1041  Pixelview RIVA TNT2 M64
 		1569 002d  Palit Microsystems Daytona TNT2 M64
 	002e  NV6 [Vanta]
@@ -5728,7 +5895,10 @@
 	0040  NV40 [GeForce 6800 Ultra]
 	0041  NV40 [GeForce 6800]
 		1043 817b  V9999 Gamer Edition
+		107d 2992  WinFast A400
+		1458 310f  Geforce 6800 GV-N6812
 	0042  NV40.2 [GeForce 6800 LE]
+		107d 299b  WinFast A400 LE
 	0043  NV40.3 [GeForce 6800 XE]
 	0044  NV40 [GeForce 6800 XT]
 	0045  NV40 [GeForce 6800 GT]
@@ -6005,7 +6175,7 @@
 		1043 400b  AGP-V6800 DDR SDRAM
 		1048 0c42  Erazor X
 		107d 2822  WinFast GeForce 256
-		1102 102e  CT6971 GeForce 256 DDR
+		1102 102e  CT6970/CT6971
 		14af 5021  3D Prophet DDR-DVI
 	0103  NV10GL [Quadro]
 		1048 0c40  GLoria II-64
@@ -6143,6 +6313,8 @@
 	01c3  nForce Ethernet Controller
 	01d0  G72 [GeForce 7350 LE]
 	01d1  G72 [GeForce 7300 LE]
+		107d 5efa  WinFast PX7300LE-TD128
+		107d 5efb  WinFast PX7300LE-TD256
 		1462 0345  7300LE PCI Express Graphics Adapter
 	01d2  G72 [GeForce 7550 LE]
 	01d3  G72 [GeForce 7300 SE/7200 GS]
@@ -6423,6 +6595,7 @@
 	0322  NV34 [GeForce FX 5200]
 		1043 02fb  V9250 Magic
 		1043 8180  V9520-X/TD/128M
+		107d 2967  WinFast A340T 128MB
 		1462 9110  MS-8911 (FX5200-TD128)
 		1462 9171  MS-8917 (FX5200-T128)
 		1462 9360  MS-8936 (FX5200-T128)
